using System;

namespace gg
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            long broj_redara = 0;
            long N = long.Parse(str[0]);
            long M = long.Parse(str[1]);
            broj_redara = N * 2 + (M - 2) * 2 + (N - 2) / 2 * (M - 2);
            if (N % 2 != 0)
            {
                    broj_redara = broj_redara + (M - 2) / 2;
            }
            if (N == 1 && M == 1) {
                broj_redara = 1;
            }
            Console.WriteLine(broj_redara);
            Console.ReadLine();
        }
    }
}